Get the time zone raw and GMT offset for the given moment in time

- « IntlTimeZone::getIDForWindowsID

- IntlTimeZone::getRawOffset »

- PHP Manual
- IntlTimeZone
- Get the time zone raw and GMT offset for the given moment in time

# IntlTimeZone::getOffset

# intltz_get_offset

(PHP 5 >= 5.5.0, PHP 7, PHP 8, PECL >= 3.0.0a1)

IntlTimeZone::getOffset -- intltz_get_offset — Get the time zone raw and GMT offset for the given moment in time

### Description

Object-oriented style (method):

public IntlTimeZone::getOffset(
float `$timestamp`,
bool `$local`,
int `&$rawOffset`,
int `&$dstOffset`
): bool

Procedural style:

intltz_get_offset(
IntlTimeZone `$timezone`,
float `$timestamp`,
bool `$local`,
int `&$rawOffset`,
int `&$dstOffset`
): bool

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`timestamp`

`local`

`rawOffset`

`dstOffset`

### Return Values